;++
;player.h
;
; Copyright (C) 2005 by Spare Time Gizmos.  All rights reserved.
;
; This file is part of the Spare Time Gizmos' MP3 Player firmware.
;
; This firmware is free software; you can redistribute it and/or modify it
; under the terms of the GNU General Public License as published by the Free
; Software Foundation; either version 2 of the License, or (at your option)
; any later version.
;
; This program is distributed in the hope that it will be useful, but WITHOUT
; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
; more details.
;
; You should have received a copy of the GNU General Public License along with
; this program; if not, write to the Free Software Foundation, Inc., 59 Temple
; Place, Suite 330, Boston, MA  02111-1307  USA.
;
; DESCRIPTION
;   This file contans mostly hardware related defintions (e.g. I/O ports and
; bits, clock speeds, memory sizes, etc) for the MP3 player project.
;
;   IMPORTANT - this file is essentially a copy of the C language header file,
; player.h.  IF YOU CHANGE THIS FILE, YOU'LL WANT TO CHANGE PLAYER.H TOO!
; Sorry about this, but I know of no better way to handle it!
;
; REVISION HISTORY:
; dd-mmm-yy	who     description
; 15-May-05	RLA     New file.
; 20-Oct-05	RLA	Remove FAST_SDI (moved to FASTSDI.INC)
;--

; I2C interface...
I2C_SDA=P1.7		; I/O port pin used for I2C data
I2C_SCL=P1.6		;  "    "   "    "   "   "  clock
STA013_ADDR=0x86	; default I2C address for STA013 chip

; STA013 interface...
STA013_RESET=P1.3	; asserted to reset the STA013
STA013_DATAREQ=P3.2	; STA013 data request input (also INT0!)
STA013_ALT_SDI=P1.2	; (alternate) serial data input to STA013
STA013_ALT_SCK=P1.1	; (  "   "  )    "     "  clock

; Status LED definitions...
LED_BIT=P2.3		; LED port bit

; Hardware definitions for the LCD/VFD display player...
DISPLAY_DATA=P0		; data port used by the display
DISPLAY_ENABLE=P1.5	; display enable flag (active low)
DISPLAY_RS=P2.0		; display register select (data/control)
DISPLAY_RW=P3.6		; display write flag (active low)
DISPLAY_BUSY=P1.0	; display busy flag (VFDs only!)

; Hardware definitions for the CompactFlash (CF) card...
CARD_DATA=P0		; data port used by the CF card (shared with DISPLAY_DATA)
CARD_RS0=P2.0		; IDE register select, LSB (shared with DISPLAY_RS)
CARD_RS1=P2.1		;  "    "   "   "  "
CARD_RS2=P2.2		;  "    "   "   "  "   MSB
CARD_CS1FX=P2.5		; IDE register set 1 (0x1Fx) select
CARD_CS3FX=P2.4		;  "   "    "   "  2 (0x3Fx) select
CARD_DETECT=P3.3	; low when a card is inserted
CARD_IOWR=P3.6		; card write data strobe
CARD_IORD=P3.7		;   "  read   "     "   (shared with DISPLAY_RW)
CARD_RESET=P1.4		; card hardware reset
